Package org.eclipse.lemminx.utils

## Class CompletionSortTextHelper

- java.lang.Object
- - org.eclipse.lemminx.utils.CompletionSortTextHelper

    public class CompletionSortTextHelper
    extends Object

CompletionSortText class to get sortText for CompletionItem's

### Constructor Summary

Constructors
`CompletionSortTextHelper​(org.eclipse.lsp4j.CompletionItemKind kind)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static String` `getSortText​(org.eclipse.lsp4j.CompletionItemKind kind)`
`String` `next()`
`String` `next​(org.eclipse.lsp4j.CompletionItemKind kind)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CompletionSortTextHelper

    public CompletionSortTextHelper​(org.eclipse.lsp4j.CompletionItemKind kind)

### Method Detail

#### next

    public String next()

#### next

    public String next​(org.eclipse.lsp4j.CompletionItemKind kind)

#### getSortText

    public static String getSortText​(org.eclipse.lsp4j.CompletionItemKind kind)